const gulp = require('gulp')
const cp = require('child_process')
const { main } = require('./package.json')

exports.default = () => {
  return gulp.watch('src/**', { ignoreInitial: false, delay: 500 }, (cb) => {
    console.log('开始构建')
    cp.exec('npm run lib:dev', (err, stdout, stderr) => {
      console.log('转移构建文件')
      console.log(stdout)
      gulp.src(main)
        .pipe(gulp.dest('../iif-platform-fe/module_cache/'))
      console.log('DONE!')
      cb()
    })
  })
}