//倒运任务单Api
import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {MeasurementDetailReportParamsData, MeasurementReportParamsData, QueryMeasurementReportParams} from "dh-unattended/src/interface/views/measurementReport";

/**
 * @class 计量报表Api类
 */

export default class MeasurementReportApi{
  constructor(tant: any) {
    this.tant = tant
  }
  private tant: any
  //计量日报、月报列表查询
  meteringReportPage(params:QueryMeasurementReportParams): Promise<ResponseData<PageList<MeasurementReportParamsData>>> {
    return this.tant.$fetch({
      url: '/unattended/meteringReport/page',
      method: 'get',
      params
    })
  }

  //计量明细列表查询
  meteringReportDetailsPage(params:QueryMeasurementReportParams): Promise<ResponseData<PageList<MeasurementDetailReportParamsData>>> {
    return this.tant.$fetch({
      url: '/unattended/meteringReport/page/details',
      method: 'get',
      params
    })
  }

  //计量日报、月报打印数据
  meteringReportQuery(params:QueryMeasurementReportParams): Promise<ResponseData<Array<MeasurementReportParamsData>>> {
    return this.tant.$fetch({
      url: '/unattended/meteringReport/query',
      method: 'get',
      params
    })
  }

  //计量明细打印数据
  meteringReportDetailsQuery(params:QueryMeasurementReportParams): Promise<ResponseData<Array<MeasurementDetailReportParamsData>>> {
    return this.tant.$fetch({
      url: '/unattended/meteringReport/query/details',
      method: 'get',
      params
    })
  }
}