/**
 * http请求公共数据
 */

/**
 * @interface 请求返回的最外层数据接口
 */
export interface ResponseData<T> {
    config: any
    headers: any
    request: any
    status: number
    statusText: string
    data: {
        success: boolean
        code: number
        message: string
        data: T
    }
}

/**
 * @interface 分页基本数据接口
 */
export interface PageList<T> {
    pageNum: number
    pageSize: number
    pages: number
    total: number
    records: Array<T>
}


/**
 *  ┏┓　　　┏┓
 *┏┛┻━━━┛┻┓━
 *┃　　 -　　　 ┃ 　
 *┃　　　 　　  ┃
 *┃　┳┛　┗┳　  ┃
 *┃　　　　　　　┃
 *┃　　　┻　　　┃
 *┃　　　　　　 ┃
 *┗━┓　　　┏━┛
 *　　┃　　　┃神兽保佑
 *　　┃　　　┃代码无BUG！
 *　　┃　　　┗━━━┓
 *　　┃　　　　　　　┣┓
 *　　┃　　　　　　　┏┛
 *　　┗┓┓┏━┳┓┏┛┗━
 *　　　┃┫┫　┃┫┫
 *　　　┗┻┛　┗┻┛
 *　　　
 */



