/**
 * 分厂物料装卸地址管理
 * @interface 添加
 */
export interface AddFactoryUnloadingAddressManagementParams{
  addressCode: string
  addressName: string
  creatorId: number
  creatorName: string
  enableFlag: number
  productionCode: string
  productionName: string
  remake: string
  id?: number
}

/**
 * @interface 列表查询
 */

export  interface QueryFactoryUnloadingAddressManagementParams {
  pageNum: number
  pageSize: number
  addressCode: string
  addressName: string
  enableFlag: number
  productionCode: string
  productionName:string
}

/**
 * @interface 列表返回数据接口
 */
export interface FactoryUnloadingAddressManagementData extends AddFactoryUnloadingAddressManagementParams{
  createTime: string
  delFlag: number
  id: number
  updateTime: string
  updatorId: number
  updatorName: string
}




