/**
 * 物料垛位对应表管理
 * @interface 添加
 */
export interface AddMaterialCribManagementParams{
  creatorId: number
  creatorName: string
  materCode: string
  materName: string
  productionCode: string
  productionName: string
  remake: string
  stackCode: string
  stackName: string
  id?: number
}

/**
 * @interface 列表查询
 */

export  interface QueryMaterialCribManagementParams {
  pageNum:number
  pageSize:number
  productionCode: string
  productionName: string
  stackCode: string
  stackName: string
}

/**
 * @interface 列表查询返回数据接口
 */
export interface MaterialCribManagementData extends AddMaterialCribManagementParams{
  createTime: string
  delFlag: number
  id: number
  updateTime: string
  updatorId: number
  updatorName: string
}




