/**
 * 分厂物料地址对应管理
 * @interface 添加
 */
export interface AddPlantMaterialAddressManagementParams{
  addressCode: string
  addressName: string
  creatorId: number
  creatorName: string
  materCode: string
  materName: string
  productionCode: string
  productionName: string
  remake: string
  id?: number
}


/**
 * @interface 列表查询参数接口
 */

export  interface QueryPlantMaterialAddressManagementParams {
  pageNum:number
  pageSize:number
  addressCode: string
  addressName: string
  productionCode: string
  productionName: string
}

/**
 * @interface 列表返回数据接口
 */
export interface PlantMaterialAddressManagementData extends AddPlantMaterialAddressManagementParams{
  createTime: string
  delFlag: number
  id: number
  updateTime: string
  updatorId: number
  updatorName: string
}




