
/**
* 计量报表数据接口
* @interface 计量日报、月报、明细列表查询参数
*/

export  interface QueryMeasurementReportParams {
  pageNum:number
  pageSize:number
  endTime: string
  manufactureName: string
  materCode: string
  materName: string
  startTime: string
  allocationoutName: string
}

//计量日报、月报响应数据
export  interface MeasurementReportParamsData {
  addmatreAddress: string
  allocationoutName: string
  carCode: string
  createTime: string
  dischargeAddress: string
  inwardId: string
  inwardNumber: number
  manufactureName: string
  materCode: string
  materName: string
  remark: string
  stackCode: string
  stackName: string
  taskCode: string
  totalWeight: number
  id: number
}

//计量明细响应数据
export  interface MeasurementDetailReportParamsData {
  addmatreAddress: string
  allocationoutName: string
  carCode: string
  createTime: string
  deduction: number
  dischargeAddress: string
  gross: number
  grossTime: string
  inwardId: string
  inwardNumber: number
  manufactureName: string
  materCode: string
  materName: string
  net: number
  remark: string
  stackCode: string
  stackName: string
  tare: number
  tareTime: string
  totalWeight: number
  id: number
  poundCode: string
}
