/**
 * 料场垛位管理
 * @interface 新增
 */
export interface AddCribYardManagementParams{
  creatorId: number
  creatorName: string
  enableFlag: number
  remake: string
  stackCode: string
  stackName: string
  warehouseCode: string
  warehouseName: string
}


/**
 * @interface 列表查询
 */

export  interface QueryCribYardManagementParams {
  pageNum:number
  pageSize:number
  enableFlag:number
  stackCode:string
  stackName:string
  warehouseCode:string
  warehouseName:string
}

/**
 * @interface 列表返回数据接口
 */
export interface CribYardManagementData extends AddCribYardManagementParams{
  createTime: string
  delFlag: number
  updateTime: string
  updatorId: number
  updatorName: string
  id: number
}

/**
 * @interface 修改
 */

export interface EditCribYardManagement extends AddCribYardManagementParams{
  id?: number
}



