/**
 * 语音提示管理
 * @interface 添加语音提示信息
 */
export interface AddVoicePromptManagementParams{
    voiceContent:string
    usable:any
    id?:number|null
    remark?:string,
    bool?:boolean
}

/**
 * @interface 列表查询
 */

export  interface QueryVoicePromptManagementParams {
    pageNum:number
    pageSize:number
    voiceCode?:string
    usable?:number|null
}

/**
 * @interface 列表查询返回数据
 */
export interface VoicePromptManagementData extends AddVoicePromptManagementParams{
    creatorId:number
    creatorName:string
    createTime:string
    delFlag: number
    updateTime: string
    updatorId: number
    updatorName: string
}






