/**
 * 调拨任务单
 * @interface 查询调拨任务单分页列表
 */

export  interface QueryAllocatingTasksListParams {
  pageNum:number
  pageSize:number
  allocationTaskNumber:string
  endBusinessTime:string
  startBusinessTime:string
  manufactureName:string
  materName:string
}

//添加
export interface AddAllocatingTasks {
  businessTime: string
  documentStatus: string
  hourlyConsumption: number|null
  manufactureName: string
  materCode: string
  materName: string
  preparedBy: string
  proportion: number|null
  remark: string
  requirementVolume: number|null
  id?: number
  manufactureCode: string
}

/**
 * @interface 列表查询响应数据
 */

export  interface QueryAllocatingTasksListData extends AddAllocatingTasks{
  documentStatusName: string
  allocationTaskNumber: string
  createTime: string
  creatorId: number
  creatorName: string
  delFlag: number
  id: number
  updateTime: string
  updatorId: number
  updatorName: string
}


