/**
 * 倒运任务单
 * @interface 查询参数
 */

export  interface QueryWhilstTaskParams {
  pageNum:number
  pageSize:number
  endBusinessTime:string
  inwardId:string
  manufactureName:string
  materName:string
  startBusinessTime:string
}

/**
 * @interface 列表查询响应数据
 */

export  interface QueryWhilstTaskListData {
  actualTrafficVolume: number
  addmatreAddress: string
  allocationPlanId: number
  allocationinId: string
  allocationoutName: string
  businessTime: string
  createTime: string
  creatorId: number
  creatorName: string
  delFlag: number
  dischargeAddress: string
  documentStatus: string
  hourlyConsumption: number
  id: number
  inwardId: string
  inwardType: string
  manufactureName: string
  materCode: string
  materName: string
  preparedBy: string
  remark: string
  transportNumber: number
  updateTime: string
  updatorId: number
  updatorName: string
  documentStatusName: string
  tareEachTime: number
  addmatreCode: string
  allocationoutCode: string
  dischargeCode: string
  manufactureCode: string
}

//新增
export interface AddWhilstTask {
  addmatreAddress: string
  allocationPlanId: number|null
  allocationinId: string
  allocationoutName: string
  businessTime: string
  createTime: string
  dischargeAddress: string
  inwardId: string
  inwardTaskDetails: Array<AddWhilstTaskDetailList>
  manufactureName: string
  materCode: string
  materName: string
  preparedBy: string
  remark: string
  transportNumber: number
  id?: number
  tareEachTime: number
  tareEachTimeFlag: boolean
  allocationoutCode: string
  addmatreCode: string
  manufactureCode: string
  dischargeCode: string
}

//新增明细数据
export interface AddWhilstTaskDetailList {
  carCode: string
}

//明细记录数据
export interface WhilstTaskDetailListData {
  carCode: string
  createTime: string
  creatorId: number
  creatorName: string
  delFlag: number
  id: number
  inwardNumber: number
  inwardTaskId: number
  remark: string
  taskCode: string
  taskStatus: string
  totalWeight: number
  updateTime: string
  updatorId: number
  updatorName: string
  taskStatusName: string
}