/**
 * 调拨计划
 * @interface 查询调拨计划分页列表
 */
export  interface QueryAllocationPlanListParams {
    pageNum:number
    pageSize:number
    endAllocationDate?:string
    code?:string
    startAllocationDate?:string
    materialName?:string
    recipientOrgId?:number|null
    recipientOrgName?:string,
    date?:any,
}
/**
 * @interface 新增调拨计划
 */
export interface AddAllocationPlanParams{
    allocationDate: string
    code: string
    creatorId: number|null
    creatorName: string
    hourlyConsumption: number|null
    materialCode?: string
    materialName: string
    proportion: number|null
    recipientOrgName?: string
    remark?: string
    totalConsumption: number|null
    receiveAreaCode?:string
    recipientOrgId?:number|null
}
/**
 * @interface 列表查询返回数据
 */
export  interface QueryAllocationPlanListData extends AddAllocationPlanParams{
    createTime: string
    endTime: string
    hourlyConsumptions: number
    proportions: number
    startTime: string
    status: any
    totalConsumptions: number
    updateTime: string
    id?:number
    checkded?:boolean
    edit?:false,
    statusName?:string
}

/**
 * @interface 编辑调拨计划
 */
export interface UpdateAllocationPlanParams {
    hourlyConsumption: number
    id: number
    proportion: number
    totalConsumption: number
    updatorId: number
    updatorName: string
}





