
// 计量管理
import measureDataManage from './measureManage/measureDataManage.vue'
import measureDataQuery from './measureManage/measureDataQuery.vue'
import measureWaveform from './measureManage/measureWaveform.vue'
import remoteManage from './measureManage/remoteManage/index.vue'
import selfServiceManage from './measureManage/selfServiceManage.vue'
import skinPlannManage from './measureManage/skinPlannManage.vue'
// 运输管理
import reverseQuery from './transportationManage/reverseQuery.vue'
// 出入库管理
import actualPerformanceQuery from './warehousingManage/actualPerformanceQuery.vue'
// 视频监控
import videoSurveillance from './videoSurveillance/videoSurveillance.vue'
// 报表管理
import planningReport from './reportManagement/planningReport.vue'
import scaleReport from './reportManagement/scaleReport.vue'
// 基础信息管理
import  material from './basicInformationManage/material'
import  measurement from './basicInformationManage/measurement'
import  measurementConfig from './basicInformationManage/measurementConfig'
import  driver from './basicInformationManage/driver'
import  motorcade from './basicInformationManage/motorcade'
import  tare from './basicInformationManage/tare'
import  vehicle from './basicInformationManage/vehicle'
import binManagement from './basicInformationManage/binManagement'
import unitManagement from './basicInformationManage/unitManagement'
import voicePromptManagement from './basicInformationManage/voicePromptManagement'
// 计量卡管理
import measurementCard from './metrocardManagement/measurementCard'
// 计划管理
import allocationPlan from './programManagement/allocationPlan'
import generatePlan from './programManagement/theFirmPlansto/generatePlan'
const views = {
  // 计量管理
  measureDataManage,
  measureDataQuery,
  measureWaveform,
  remoteManage,
  selfServiceManage,
  skinPlannManage,
  // 运输管理
  reverseQuery,
  // 出入库管理
  actualPerformanceQuery,
  // 视频监控
  videoSurveillance,
  // 报表管理
  planningReport,
  scaleReport,
  // 基础数据管理
  material,
  measurement,
  measurementConfig,
  driver,
  motorcade,
  tare,
  vehicle,
  binManagement,
  unitManagement,
  voicePromptManagement,
  // 计量卡管理
  measurementCard,
  // 计划管理
  allocationPlan,
  generatePlan
}
export default views
