/* eslint-disable */
const path = require('path')
const package = require('./package.json')
module.exports = {
  css: {
    extract: false
  },
  chainWebpack: config => {
    config.output.filename = `${package.name}.js`
    config.optimization.splitChunks({})
    // config.output.chunkFilename(`${package.name}.js`).end();
  },
  configureWebpack: {
    // entry: './src/main.js',
    devServer: {
      writeToDisk: true,
      port: 8801
    },
    resolve: {
      alias: {
        '@': path.resolve(__dirname, './node_modules/iif-platform-fe/src'),
        [package.name + '/src']: path.resolve(__dirname, './src')
      }
    },
    externals: {
      'ant-design-vue': {
        commonjs: 'ant-design-vue',
        commonjs2: 'ant-design-vue',
        amd: 'ant-design-vue',
        root: 'antd'
      },
      'moment': {
        commonjs: 'moment',
        commonjs2: 'moment',
        amd: 'moment',
        root: 'moment'
      }
    }
  }
}